Bug 707867 - [RFE] corosync-objctl - add float and double support and create new object
Summary: [RFE] corosync-objctl - add float and double support and create new object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 693781
TreeView+ depends on / blocked
 
Reported: 2011-05-26 08:18 UTC by Jan Friesse
Modified: 2011-12-06 11:50 UTC (History)
5 users (show)

Fixed In Version: corosync-1.4.0-1.el6
Doc Type: Enhancement
Doc Text:
Cause In objdb is stored float/double number. User wants to create new object/key. Consequence corosync-objctl cannot create new object/key and display double/float number. Change add float and double support to corosync-objctl Add -n option to corosync-objctl to create a new object/key combo Result Corosync-objctl correctly display float/double number. User can pass -n option and create new object/key.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:50:40 UTC


Attachments (Terms of Use)
add float and double support to corosync-objctl (925 bytes, patch)
2011-05-26 08:18 UTC, Jan Friesse
no flags Details | Diff
Add -n option to corosync-objctl to create a new object/key combo (4.86 KB, patch)
2011-05-26 08:19 UTC, Jan Friesse
no flags Details | Diff
Test program to create [u]int(16|32|64) and float/double keys (3.65 KB, text/x-csrc)
2011-08-17 15:13 UTC, Jan Friesse
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1515 normal SHIPPED_LIVE corosync bug fix and enhancement update 2011-12-06 00:38:47 UTC

Description Jan Friesse 2011-05-26 08:18:30 UTC
Created attachment 501015 [details]
add float and double support to corosync-objctl

Description of problem:
add float and double support to corosync-objctl
Add -n option to corosync-objctl to create a new object/key combo

Expected results:
Float and double support + -n option.

Comment 1 Jan Friesse 2011-05-26 08:19:25 UTC
Created attachment 501016 [details]
Add -n option to corosync-objctl to create a new object/key combo

Comment 2 Jan Friesse 2011-05-26 08:20:10 UTC
In GIT as a47fb64e69f6e7b814d725aa0a588a7585f37e59 and a7c95c2854acd29e90c0465f605615b92dae6398

Comment 4 Sayan Saha 2011-05-26 17:04:36 UTC
Granting pm_ack for inclusion in RHEL 6.2.

Comment 11 Jan Friesse 2011-08-17 15:13:13 UTC
Created attachment 518704 [details]
Test program to create [u]int(16|32|64) and float/double keys

Compile with cc -lconfdb testconfdb.c, after executing, corosync-objctl output should be:
...
testconfdb.test-int16=-42
testconfdb.test-uint16=66
testconfdb.test-int32=-43
testconfdb.test-uint32=67
testconfdb.test-int64=-44
testconfdb.test-uint64=68
testconfdb.test-float=932.799988
testconfdb.test-double=789.120000

Comment 13 Jan Friesse 2011-10-31 09:24:56 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
In objdb is stored float/double number. User wants to create new object/key.

Consequence
corosync-objctl cannot create new object/key and display double/float number.

Change
add float and double support to corosync-objctl
Add -n option to corosync-objctl to create a new object/key combo

Result
Corosync-objctl correctly display float/double number. User can pass -n option and create new object/key.

Comment 14 errata-xmlrpc 2011-12-06 11:50:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1515.html


Note You need to log in before you can comment on or make changes to this bug.